Subject: Re: Fw: Error Occured at Mon Aug 25 11:04:54 EDT 2008
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Tue, 26 Aug 2008 07:18:10 -0400

The back-ups are stored on the database.  I copy straight off of the machine itself now.  We no longer copy them over to my computer.  we were having issues with the transfers (probably linked to the size of the file(s).  Anyway, that back-up should be available to you.  Let me know if you need anything regarding this.
Thank you,
Mike - LLPS
  ----- Original Message ----- 
  From: Michael Grove 
  To: Mike 
  Sent: Monday, August 25, 2008 11:03 PM
  Subject: Re: Fw: Error Occured at Mon Aug 25 11:04:54 EDT 2008

  I put the encryption in place on Saturday.  So if the database is backed up at 3:00 AM, I would need the Saturday backup.

  Once I have the unencrypted credit card data I will re-encrypt it using the known key.  That should fix the issue and allow you to see all the credit card numbers.

  Mike wrote: 
    I have not deleted anything from the back-ups.  You should be pull Friday and/or Saturday back-ups.  Is that what you are asking for?
    Are we not going to be able to see the credit card if it is encrypted?  We are going to need access one way or another.
    Thank you,
    Mike - LLPS
      ----- Original Message ----- 
      From: Mike Grove 
      To: [email-masked] 
      Sent: Monday, August 25, 2008 4:15 PM
      Subject: re: Fw: Error Occured at Mon Aug 25 11:04:54 EDT 2008

      Its my fault.  On Saturday I encrypted all the credit card numbers to comply with this credit card security standard.  This morning the system automatically refreshed its cached values and over wrote the key that is used to encrypt/decrypt those values.  So it produced an error any time somone tried to view a decrypted credit card number that was entered using the old key.  The error will no longer show up but all the credit card numbers up to last Friday will need to be restored from backup and re-encrypted.

      Can you check to see if we still have a backup of the database from Friday?  If we do not have Friday the next earliest will do.

      Mike

--------------------------------------------------------------------------
      From: "Mike" <[email-masked]>
      To: "Michael Grove" <[email-masked]>
      Subject: Fw: Error Occured at Mon Aug 25 11:04:54 EDT 2008
      Date: Mon, 25 Aug 2008 11:38:48 -0400

      Mike,
      Do you know what might be going on regarding this.  My understanding is that the rep is trying to just fax over an invoice.  Let me know what you find out.
      Thank you,
      Mike - LLPS

      ----- Original Message ----- 
      From: [email-masked] 
      To: [email-masked] ; [email-masked] 
      Sent: Monday, August 25, 2008 11:04 AM
      Subject: Error Occured at Mon Aug 25 11:04:54 EDT 2008

            Error There has been an error while trying to encrypt or decrypt your input string: Given final block not properly padded. 
            The error occurred on line 124. 
            IP Address 192.168.1.206 
            User Name jenh 
            Date Mon Aug 25 11:04:54 EDT 2008 
            Page /llps/ViewOrder.cfm 
            Previous Page 
           
            URL Parameters OrderID=514241